Loading...
Searching...
No Matches
EST_TValuedEnum< ENUM, VAL > Class Template Reference
Inheritance diagram for EST_TValuedEnum< ENUM, VAL >:
[legend]
Collaboration diagram for EST_TValuedEnum< ENUM, VAL >:
[legend]

## Public Member Functions

| EST_TValuedEnum (EST_TValuedEnumDefinition< ENUM, VAL, NO_INFO > defs[])
| EST_TValuedEnum (EST_TValuedEnumDefinition< const char *, VAL, NO_INFO > defs[], ENUM(*conv)(const char *))
Public Member Functions inherited from EST_TValuedEnumI< ENUM, VAL, NO_INFO >
int | n (void) const
ENUM | token (VAL value) const
ENUM | nth_token (int n) const
VAL | value (ENUM token, int n=0) const
NO_INFO & | info (ENUM token) const
ENUM | unknown_enum (void) const
VAL | unknown_value (void) const
int | valid (ENUM token) const

## Additional Inherited Members

Protected Member Functions inherited from EST_TValuedEnumI< ENUM, VAL, NO_INFO >
virtual int | eq_vals (VAL v1, VAL v2) const
void | initialise (const void *defs)
Protected Attributes inherited from EST_TValuedEnumI< ENUM, VAL, NO_INFO >
int | ndefinitions
ENUM | p_unknown_enum
VAL | p_unknown_value
EST_TValuedEnumDefinition< ENUM, VAL, NO_INFO > * | definitions

## Detailed Description

template<class ENUM, class VAL>
class EST_TValuedEnum< ENUM, VAL >

Definition at line 139 of file EST_TNamedEnum.h.

## Constructor & Destructor Documentation

## EST_TValuedEnum() [1/2]

template<class ENUM, class VAL>

EST_TValuedEnum< ENUM, VAL >::EST_TValuedEnum | ( | EST_TValuedEnumDefinition< ENUM, VAL, NO_INFO > | defs[] | ) |

inline

Definition at line 141 of file EST_TNamedEnum.h.

## EST_TValuedEnum() [2/2]

template<class ENUM, class VAL>

EST_TValuedEnum< ENUM, VAL >::EST_TValuedEnum | ( | EST_TValuedEnumDefinition< const char *, VAL, NO_INFO > | defs[],
|  | ENUM(* | conv )(const char *) )

inline

Definition at line 143 of file EST_TNamedEnum.h.

The documentation for this class was generated from the following file:

- include/EST_TNamedEnum.h